> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Approve Compliant Timesheets

> Approves all signed, fully compliant timesheet periods in admin scope, auditing and notifying each employee.

Not available to API keys yet. It will need `time:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/bulk-approve-compliant-timesheets
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/bulk-approve-compliant-timesheets:
    post:
      operationId: bulkApproveCompliantTimesheets
      summary: Bulk Approve Compliant Timesheets
      description: >-
        Approves all signed, fully compliant timesheet periods in admin scope,
        auditing and notifying each employee.


        Not available to API keys yet. It will need `time:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkApproveCompliantTimesheetsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkApproveCompliantTimesheetsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    BulkApproveCompliantTimesheetsRequest:
      type: object
      properties:
        timesheetPeriodIDs:
          type: array
          items:
            type: string
            format: uuid
          maxItems: 500
    BulkApproveCompliantTimesheetsResponse:
      type: object
      properties:
        approvedCount:
          type: integer
        skippedForReviewCount:
          type: integer
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
